package com.weaver.seconddev.interfaces.prop;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@RefreshScope
public class ConfigProp {

    @Value("${srmbacklisturl}")
    private String srmbacklisturl;

    @Value("${accountUrl}")
    private String accountUrl;


    /**
     * crmoa
     */
    //CRM_SyncTempUnfreeze
    @Value("${TempUnfreeze}")
    private String TempUnfreeze;
    @Value("${po_user}")
    private String po_user;
    @Value("${po_password}")
    private String po_password;

    //CRM_syncUnFreezeTimes
    @Value("${times}")
    private String times;

    /**
     * easoa
     */
    //CallEasServices
    @Value("${url}")
    private String url;
    //CallTravelApplyService
    @Value("${TravelApply}")
    private String TravelApply;
    //DelayDateService
    @Value("${DelayDateSync}")
    private String DelayDateSync;
    //EASIntermediarySyncService
    @Value("${intermediarysync}")
    private String intermediarysync;




    //OaSrmVendorPropmtionServiceServiceStub
    @Value("${gyszznew}")
    private String gyszznew;

    //VdDlvApplyHandlerServiceServiceStub
    @Value("${gysxznew}")
    private String gysxznew;


    //VenMatExtHandlerServiceServiceStub
    @Value("${SrmVenMatExtnew}")
    private String SrmVenMatExtnew;


    //VenMatExtsHandlerServiceServiceStub
    @Value("${htsrm_oa_venmatsextnew}")
    private String htsrm_oa_venmatsextnew;



}
